ClientesCuenta del cliente
Obtener cliente
GET
/v1/customerObtener cliente. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.
Autorización
bearerAuth AutorizaciónBearer <token>
Token de acceso OAuth 2.0 emitido por Ecomiq Auth.
Ubicación: header
Parámetros de cabecera
x-Store-Domain*string
Slug o dominio configurado que selecciona el contexto de tienda en el gateway central de Storefront.
Longitud
1 <= length <= 253Cuerpo de la respuesta
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/customer" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store"{ "id": "7204558912004325301", "storeId": "7204558912004325301", "email": "andrea@example.com", "firstName": "Andrea", "lastName": "Ramos", "phone": "+51987654321", "identificationNumber": "example", "identificationType": "example", "entityName": "Comercial Lima SAC", "dateOfBirth": "2026-08-01", "gender": "male", "countryIsoCode": "example_code", "role": "example", "companyName": "Comercial Lima SAC", "consent": false, "userId": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "customerType": "individual", "status": "active", "isVerified": false, "entityIdentificationNumber": "example", "defaultAddressId": "7204558912004325301", "metadata": {}, "totalOrders": 1, "avgOrders": 1, "lastOrderId": "7204558912004325301", "lastOrderDate": "2026-08-01T15:30:00Z", "loyaltyPoints": 1, "addresses": [ { "id": "7204558912004325301", "addressKey": "example", "department": "example", "addressNumber": "example", "province": "example", "district": "example", "phone": "+51987654321", "cellPhone": "+51987654321", "addressLine": "example", "reference": "example", "countryIsoCode": "example_code", "postalCode": "example_code", "latitude": 1, "longitude": 1, "hasCoordinates": false, "isDefault": false } ], "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}